drop table APP.navsteva;
drop table APP.pacient;
drop table APP.lekar;


create table APP.lekar(
   L_id integer not null,
   L_jmeno varchar(30) not null,
   L_spec varchar(30),
   L_sef_id integer,
   constraint PK_lekar primary key (L_id),
   constraint FK_lekar foreign key (L_sef_id) references APP.lekar(L_id));

create table APP.pacient(
   P_id integer not null,
   P_jmeno varchar(30) not null,
   P_adresa varchar(30) not null,
   P_tel integer,
   P_nar date not null,
   constraint PK_pacient primary key (P_id));

create table APP.navsteva(
   L_id integer,
   P_id integer,
   kdy date,
   typ varchar(5),
   cena integer,
   constraint PK_nav primary key (L_id, P_id, kdy),
   constraint FK_nav_lek foreign key (L_id)
       references APP.lekar(L_id),
   constraint FK_nav_pac foreign key (P_id)
       references APP.pacient(P_id));


insert into APP.lekar values (1,'Rambousek','ortoped',NULL);
insert into APP.lekar values (2,'Kval','zuba',1);
insert into APP.lekar values (3,'Rath','internista',1);
insert into APP.lekar values (4,'Adam','',2);
insert into APP.lekar values (5,'Chmel','gynekolog',4);
insert into APP.lekar values (6,'Vokoun','urolog',4);
insert into APP.lekar values (7,'Blaek','zuba',5);
insert into APP.lekar values (8,'Novk','internista',6);
insert into APP.lekar values (9,'Skoumal','ortoped',6);
insert into APP.lekar values (10,'Voshlo','ortoped',8);

insert into APP.pacient values (1,'Bily','Wall Street 30',123456,'20.2.1947');
insert into APP.pacient values (2,'Zeleny','Baker Street 62',654321,'13.4.1989');
insert into APP.pacient values (3,'Modry','Butcher Street 77',456789,'24.5.1919');
insert into APP.pacient values (4,'Cincibusova','Picadili 12',987654,'13.10.1999');
insert into APP.pacient values (5,'Chatrna','Wall Street 56',123789,'8.9.1956');
insert into APP.pacient values (6,'Bily','Baker Street 47',987321,'19.1.1995');
insert into APP.pacient values (7,'Jadrnkova','Koln 56',963852,'3.12.1971');
insert into APP.pacient values (8,'Vokova','Poply 56',852741,'14.8.1996');
insert into APP.pacient values (9,'Omkova','Wall Street 112',147258,'23.1.1948');
insert into APP.pacient values (10,'Smkalova','Komoany 12',14654,'10.1.1967');
insert into APP.pacient values (11,'Okrouhly','Humpolec 112',147258,'23.1.1989');
insert into APP.pacient values (12,'Sykkova','Pelhmovt 112',147258,'23.1.1956');
insert into APP.pacient values (13,'Mrzkova','Chrudim 112',147258,'23.1.1969');
insert into APP.pacient values (14,'Flekova','Tbor 112',147258,'23.1.1928');
insert into APP.pacient values (15,'Chytilova','Tuaply 112',147258,'23.1.1973');
insert into APP.pacient values (16,'Husty','Tupadly 112',147258,'23.1.1956');
insert into APP.pacient values (17,'Zpotocka','Cvaletice 112',147258,'23.1.1971');
insert into APP.pacient values (18,'Cupalova','Stojice 112',147258,'23.1.1999');
insert into APP.pacient values (19,'Petrlova','Kojice 112',147258,'23.1.1978');
insert into APP.pacient values (20,'Pomaly','Houska 112',147258,'23.1.1975');


insert into APP.navsteva values (1,1,'18.1.1997','D',52);
insert into APP.navsteva values (1,3,'23.2.1989','O',45);
insert into APP.navsteva values (3,3,'1.6.1990',NULL,NULL);
insert into APP.navsteva values (3,9,'4.5.2003','O',NULL);
insert into APP.navsteva values (3,5,'12.5.2001','D',NULL);
insert into APP.navsteva values (1,1,'14.4.2000','O',NULL);
insert into APP.navsteva values (4,4,'15.7.2004','D',85);
insert into APP.navsteva values (4,6,'5.8.2001','D',89);
insert into APP.navsteva values (5,7,'23.9.2001','O',63);
insert into APP.navsteva values (5,4,'26.10.2000','O',78);
insert into APP.navsteva values (3,5,'1.1.2002','D',54);
insert into APP.navsteva values (4,4,'1.4.2005',NULL,NULL);
insert into APP.navsteva values (5,5,'16.7.2006','D',65);
insert into APP.navsteva values (1,9,'19.9.2004','O',45);
insert into APP.navsteva values (1,7,'31.12.2005','O',23);
insert into APP.navsteva values (3,12,'31.12.2005','D',23);
insert into APP.navsteva values (5,14,'31.12.2005','O',23);
insert into APP.navsteva values (7,15,'31.12.2005','O',23);
insert into APP.navsteva values (4,16,'31.12.2005','D',23);
insert into APP.navsteva values (9,17,'31.12.2005','O',23);
insert into APP.navsteva values (8,18,'31.12.2005','D',23);
insert into APP.navsteva values (1,19,'31.12.2005','O',23);
insert into APP.navsteva values (1,20,'31.12.2005','O',23);


